<?php
namespace Jazzaaf\xenAntiVirus\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class AttachmentCheck extends Entity

{
    public static function getStructure(Structure $structure)
    {
            
		$structure->table = 'xf_jz_antivirus_check';
		$structure->shortName = 'Jazzaaf\xenAntiVirus:AttachmentCheck';
		$structure->primaryKey = 'check_id';
		$structure->columns = [
			'check_id' => ['type' => self::UINT, 'autoIncrement' => true],
			'attachment_id' => ['type' => self::UINT],
			'data_id' => ['type' => self::UINT],
			'user_id' => ['type' => self::UINT],
			'last_check_date' => ['type' => self::UINT, 'default' => \XF::$time],
			'moderator_id' => ['type' => self::UINT, 'default' => 0],
			'check_status' => ['type' => self::STR, 'default' => 'unchecked', 'allowedValues' => ['clean', 'infected', 'failed', 'pending', 'unchecked']],
			'file_hash' => ['type' => self::STR, 'default' => ''],
			'last_error' => ['type' => self::STR, 'default' => ''],
			'last_message' => ['type' => self::STR, 'default' => ''],
			'scan_url' => ['type' => self::STR, 'default' => ''],
		];
		$structure->getters = [];
		$structure->relations = 
		[
			'Data' => [
				'entity' => 'XF:AttachmentData',
				'type' => self::TO_ONE,
				'conditions' => 'data_id',
				'primary' => true
			],
			'Attachment' => [
				'entity' => 'XF:Attachment',
				'type' => self::TO_ONE,
				'conditions' => 'data_id',
				'primary' => false
			],
			'User' => [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => 'user_id',
				'primary' => true
			]			
		];
		
        return $structure;
    }

}